Bug 636431 - Provide samtools-devel subpackage to allow development against samtools
Summary: Provide samtools-devel subpackage to allow development against samtools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samtools
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rasmus Ory Nielsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 630644
TreeView+ depends on / blocked
 
Reported: 2010-09-22 08:47 UTC by Petr Pisar
Modified: 2011-04-23 20:50 UTC (History)
2 users (show)

Fixed In Version: samtools-0.1.15-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-23 20:50:06 UTC


Attachments (Terms of Use)

Description Petr Pisar 2010-09-22 08:47:59 UTC
perl-Bio-SamTools under review (bug #630644) requires header files of samtools to build.

Please provide samtools-devel subpackage with necessary files allowing development against samtools libraries.

There exists adjusted spec file for this purpose <http://verdurin.fedorapeople.org/rpms/samtools/samtools.spec>.

Comment 1 Rasmus Ory Nielsen 2010-09-23 10:53:46 UTC
Hi Petr,

I have communicated with Adam Huffman regarding the changes to the samtools package, and I'm currently waiting for his reply.

Best regards,
Rasmus

Comment 2 Fedora Update System 2010-12-09 18:33:32 UTC
samtools-0.1.12a-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/samtools-0.1.12a-2.fc14

Comment 3 Fedora Update System 2011-03-22 10:18:23 UTC
samtools-0.1.12a-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/samtools-0.1.12a-3.fc14

Comment 4 Fedora Update System 2011-04-07 08:38:28 UTC
samtools-0.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/samtools-0.1.14-1.fc14

Comment 5 Fedora Update System 2011-04-07 18:53:23 UTC
Package samtools-0.1.14-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samtools-0.1.14-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/samtools-0.1.14-1.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-11 20:26:24 UTC
samtools-0.1.15-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/samtools-0.1.15-1.fc14

Comment 7 Fedora Update System 2011-04-23 20:50:00 UTC
samtools-0.1.15-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.